Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CountryInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CountryInfo

Enclosing class:
  TdApi

public static final class TdApi.CountryInfo extends TdApi.Object
Contains information about a country.

## Field Summary

Fields
Modifier and Type
Field
Description
`String[]`
`callingCodes`
List of country calling codes.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`countryCode`
A two-letter ISO 3166-1 alpha-2 country code.
`String`
`englishName`
English name of the country.
`boolean`
`isHidden`
True, if the country must be hidden from the list of all countries.
`String`
`name`
Native name of the country.

## Constructor Summary

Constructors
Constructor
Description
`CountryInfo()`
Contains information about a country.
`CountryInfo(DataInput input)`
Contains information about a country.
`CountryInfo(String countryCode, String name, String englishName, boolean isHidden, String[] callingCodes)`
Contains information about a country.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### countryCode

public String countryCode
A two-letter ISO 3166-1 alpha-2 country code.

### name

public String name
Native name of the country.

### englishName

public String englishName
English name of the country.

### isHidden

public boolean isHidden
True, if the country must be hidden from the list of all countries.

### callingCodes

public String[] callingCodes
List of country calling codes.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CountryInfo

public CountryInfo()
Contains information about a country.

### CountryInfo

public CountryInfo(String countryCode, String name, String englishName, boolean isHidden, String[] callingCodes)
Contains information about a country.

Parameters:
  `countryCode` - A two-letter ISO 3166-1 alpha-2 country code.
  `name` - Native name of the country.
  `englishName` - English name of the country.
  `isHidden` - True, if the country must be hidden from the list of all countries.
  `callingCodes` - List of country calling codes.

### CountryInfo

public CountryInfo(DataInput input) throws IOException
Contains information about a country.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`